hpp-core: hpp::core::configurationShooter::Gaussian Class Reference

hpp-core 9.0.2 Implement basic classes for canonical path planning for kinematic chains.

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
hpp::core::configurationShooter::Gaussian Class Reference
Configuration Sampling

`#include <hpp/core/configuration-shooter/gaussian.hh>`

Inheritance diagram for hpp::core::configurationShooter::Gaussian:
[legend]
Collaboration diagram for hpp::core::configurationShooter::Gaussian:
[legend]

## Public Member Functions
void | center (ConfigurationIn_t c)
const Configuration_t & | center () const
void | sigma (const value_type &factor)
void | sigmas (vectorIn_t s)
const vector_t & | sigmas () const
Public Member Functions inherited from hpp::core::ConfigurationShooter
virtual Configuration_t | shoot () const
| Shoot a random configuration.
virtual void | shoot (Configuration_t &q) const
virtual | ~ConfigurationShooter ()

## Static Public Member Functions
static GaussianPtr_t | create (const DevicePtr_t &robot)

## Protected Member Functions
| Gaussian (const DevicePtr_t &robot)
void | init (const GaussianPtr_t &self)
virtual void | impl_shoot (Configuration_t &q) const
Protected Member Functions inherited from hpp::core::ConfigurationShooter
| ConfigurationShooter ()
void | init (const ConfigurationShooterWkPtr_t &weak)
| Store weak pointer to itself.

## Detailed Description

Sample configuration using a gaussian distribution around a configuration.

## Constructor & Destructor Documentation

## ◆ Gaussian()

hpp::core::configurationShooter::Gaussian::Gaussian | ( | const DevicePtr_t & | robot | ) |
| inlineprotected

Create a gaussian distribution centered in the robot current configuration. The standard deviation is computed as `sigma`(0.25)

See also
  Gaussian::sigma

## Member Function Documentation

## ◆ center() [1/2]

const Configuration_t & hpp::core::configurationShooter::Gaussian::center | ( |  | ) | const
| inline

## ◆ center() [2/2]

void hpp::core::configurationShooter::Gaussian::center | ( | ConfigurationIn_t | c | ) |
| inline

## ◆ create()

static GaussianPtr_t hpp::core::configurationShooter::Gaussian::create | ( | const DevicePtr_t & | robot | ) |
| inlinestatic

## ◆ impl_shoot()

virtual void hpp::core::configurationShooter::Gaussian::impl_shoot | ( | Configuration_t & | q | ) | const
| protectedvirtual

Implements hpp::core::ConfigurationShooter.

## ◆ init()

void hpp::core::configurationShooter::Gaussian::init | ( | const GaussianPtr_t & | self | ) |
| inlineprotected

## ◆ sigma()

void hpp::core::configurationShooter::Gaussian::sigma | ( | const value_type & | factor | ) |

Set the standard deviation proportional to a default value

The default value is:

- for vector spaces, the difference between the upper and the lower bounds,
- for SO(n), \(\frac{2\pi}{\sqrt{2n-3}}\) on each of the \( 2n-3 \) dimensions,
- SE(n) is treated as \( R^n \times SO(n) \).

## ◆ sigmas() [1/2]

const vector_t & hpp::core::configurationShooter::Gaussian::sigmas | ( |  | ) | const
| inline

## ◆ sigmas() [2/2]

void hpp::core::configurationShooter::Gaussian::sigmas | ( | vectorIn_t | s | ) |
| inline

The documentation for this class was generated from the following file:

- include/hpp/core/configuration-shooter/gaussian.hh